package com.oguerreiro.resilient.service.dto;

import java.io.Serializable;

import io.swagger.v3.oas.annotations.media.Schema;

public abstract class ActivityDomainDTO<ID extends Serializable> extends AbstractResilientDTO<ID> {
  private static final long serialVersionUID = 1L;

  @Schema(description = "The class name of the Entity domain class. Mandatory for Activity enabled entities.")
  private String activityDomainClass;

  @Schema(description = "The key of the ActivityProgress, when an activity is currntly in execution.")
  private String activityProgressKey;

  public String getActivityDomainClass() {
    return activityDomainClass;
  }

  public void setActivityDomainClass(String activityDomainClass) {
    this.activityDomainClass = activityDomainClass;
  }

  public String getActivityProgressKey() {
    return activityProgressKey;
  }

  public void setActivityProgressKey(String activityProgressKey) {
    this.activityProgressKey = activityProgressKey;
  }

}
